# 必要なパッケージをインストール
#install.packages("vegan")

# パッケージをロード
library(vegan)

# CSVファイルを読み込む
asv_table <- read.csv("ASVtableMiya22.csv", row.names = 1)

# PDFデバイスを開く
pdf(file = "rarefaction_curve.pdf")

# rarefaction analysisを実行
rarecurve(asv_table, step = 20, sample = min(rowSums(asv_table)), col = "blue", label = TRUE)

# PDFデバイスを閉じる
dev.off()
